#include <iostream>
#include "SpaceShip.h"
#include "uLCD_4DGL.h"
#define ALIEN_HEIGHT 8
#define ALIEN_WIDTH 11
using namespace std;

SpaceShip::SpaceShip()
{
    leftSide = 55;
    rightSide = 75;
    leftPtr = &leftSide;
    rightPtr = &rightSide;
    draw(0);
}
    
SpaceShip::~SpaceShip()
{
    
}
    
void SpaceShip::draw(int s)
{
    // Where the ship is turns black
    uLCD.filled_rectangle(leftSide, 110, rightSide, 114, BLACK);
    *leftPtr += s;
    *rightPtr += s;
    
    // Another red rectangle is made based on input speed
    uLCD.filled_rectangle(leftSide, 110, rightSide, 114, RED);
}
    
void SpaceShip::move(int x)
{
    draw(x);
}

void SpaceShip::shoot(int b)
{
    
}

int SpaceShip::getPosX()
{
    return (rightSide - 10);
}

int SpaceShip::getPosY()
{
    return (leftSide - 2);
}